﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class Tickets_OnClientSlide : System.Web.UI.Page
{
    protected void Button1_Click(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        DataRow dr;
        int colsNum = 5;
        int rowsNum = 50;
        string colName = "Column";

        for (int j = 1; j <= colsNum; j++)
        {
            dt.Columns.Add(String.Format("{0}{1}", colName, j));
        }

        for (int i = 1; i <= rowsNum; i++)
        {
            dr = dt.NewRow();

            for (int k = 1; k <= colsNum; k++)
            {
                dr[String.Format("{0}{1}", colName, k)] = String.Format("{0}{1} Row{2}", colName, k, i);
            }
            dt.Rows.Add(dr);
        }

        ItemsGridView.DataSource = dt;
        ItemsGridView.DataBind();
    }

    protected void ItemsGridView_DataBound(object sender, EventArgs e)
    {
        GridViewRow rowPager = ItemsGridView.BottomPagerRow;
        if (rowPager != null)
        {
            RadSlider slider = (RadSlider)rowPager.Cells[0].FindControl("slider");
            slider.MinimumValue = 1;
            slider.MaximumValue = ItemsGridView.PageCount;
            slider.Value = ItemsGridView.PageIndex + 1;
            Label sliderLabel = (Label)rowPager.Cells[0].FindControl("SlideLabel");
            sliderLabel.Text = (ItemsGridView.PageIndex + 1).ToString();
            
            string script = String.Format(@"
                  function clientSlide(sender, eventArgs)
                  {{                
                    var myLabel = $get('{0}');
                    myLabel.innerHTML = sender.get_value();             
                  }}", sliderLabel.ClientID);


            ScriptManager.RegisterStartupScript(UpdatePanel1, UpdatePanel1.GetType(), "clientslider", script, true);
            slider.OnClientSlide = "clientSlide";
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {        
    }
}
